XMLSchemaValidator.ShortVector (Xerces2 Implementation)
Date: 2016-02-03

org.apache.xerces.impl.xs

## Class XMLSchemaValidator.ShortVector

- java.lang.Object
- - org.apache.xerces.impl.xs.XMLSchemaValidator.ShortVector

- Enclosing class:
    XMLSchemaValidator

      protected static final class XMLSchemaValidator.ShortVector
      extends java.lang.Object

  A simple vector for `short`s.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLSchemaValidator.ShortVector()`
    `XMLSchemaValidator.ShortVector(int initialCapacity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(short value)` Adds the value to the vector.
    `void` | `clear()` Clears the vector.
    `boolean` | `contains(short value)` Returns whether the short is contained in the vector.
    `int` | `length()` Returns the length of the vector.
    `short` | `valueAt(int position)` Returns the short value at the specified position in the vector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLSchemaValidator.ShortVector

          public XMLSchemaValidator.ShortVector()

    - #### XMLSchemaValidator.ShortVector

          public XMLSchemaValidator.ShortVector(int initialCapacity)

  - ### Method Detail

    - #### length

          public int length()

      Returns the length of the vector.

    - #### add

          public void add(short value)

      Adds the value to the vector.

    - #### valueAt

          public short valueAt(int position)

      Returns the short value at the specified position in the vector.

    - #### clear

          public void clear()

      Clears the vector.

    - #### contains

          public boolean contains(short value)

      Returns whether the short is contained in the vector.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.